How to obtain an integer from a finite field element?  AsINT?

08 Feb 2013 18:12 - John Abbott

Status: Closed Start date: 08 Feb 2013

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: CoCoA-5 function: new Estimated time: 2.00 hours

Target version: CoCoA-5.1.0 Easter14 Spent time: 0.50 hour

Description

Let X be a ring elem belonging to a finite field.

How can I get an integer value from X?

At the moment AsINT(X) gives an error (about characteristic being non-zero); but in CoCoALib IsInteger succeeds.

What is the right way to do it?

Related issues:

Related to CoCoALib - Feature #233: AsINT and AsRAT  -- ConvertTo<BigInt> and... Closed 25 Sep 2012

Related to CoCoALib - Feature #61: Conversion functions -- documentation Closed 13 Dec 2011

Related to CoCoA-5 - Feature #453: Automatic conversion from INT (or RAT) to ... In Progress 03 Mar 2014

History

#1 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#2 - 04 Apr 2014 15:17 - John Abbott

- Category set to CoCoA-5 function: new

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

This has already been done (long ago?): AsINT and AsRAT can be applied to RINGELEM belonging to finite characteristic.

Changing state to feedback

#3 - 14 Apr 2014 09:18 - Anna Maria Bigatti

- Estimated time set to 2.00 h

#4 - 24 Apr 2014 20:16 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Closing because it's all been working fine for ages; no point in leaving it in feedback.

Powered by TCPDF (www.tcpdf.org)

20 Apr 2024 1/1

http://www.tcpdf.org

